package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.upgrade.DoUpgrade10Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade12Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade1Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade2Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade3Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade4Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade5Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade6Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade7Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade8Cmd;
import com.engine.kq.cmd.upgrade.DoUpgrade9Cmd;
import com.engine.kq.cmd.upgrade.GetTreeTabsCmd;
import com.engine.kq.cmd.upgrade.GetUpgrade10Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade12Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade12DataCmd;
import com.engine.kq.cmd.upgrade.GetUpgrade1Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade2Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade3Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade4Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade5Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade6Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade7Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade8Cmd;
import com.engine.kq.cmd.upgrade.GetUpgrade9Cmd;
import com.engine.kq.service.KQUpgradeService;
import java.util.Map;
import weaver.hrm.User;

/**
 * 班次管理
 */

public class KQUpgradeServiceImpl extends Service implements KQUpgradeService {

  @Override
  public Map<String, Object> getTreeTabs(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetTreeTabsCmd(params, user));
  }

  @Override
  public Map<String, Object> getUpgrade1(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade1Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade2(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade2Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade3(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade3Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade4(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade4Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade5(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade5Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade6(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade6Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade7(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade7Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade8(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade8Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade9(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade9Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade10(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade10Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade12(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade12Cmd(params, user));
  }

  @Override
  public Map<String, Object> doUpgrade1(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade1Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade2(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade2Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade3(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade3Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade4(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade4Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade5(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade5Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade6(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade6Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade7(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade7Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade8(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade8Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade9(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade9Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade10(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade10Cmd(params, user));
  }
  @Override
  public Map<String, Object> doUpgrade12(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DoUpgrade12Cmd(params, user));
  }
  @Override
  public Map<String, Object> getUpgrade12Data(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUpgrade12DataCmd(params, user));
  }
}
